body {
  background-color: #fbfffb;
}


.search a, .search a:visited {
  color: black;
}

:root {
  --search-width: 600px;
}

/* styles for search page, grid layout, two columns, left is for search, right is for favDogs and previouslySearched dogs */

.search > div {
  /* display: grid; */
  grid-template-columns: auto max(40%, 100px);
  grid-gap: 10px;
}

.search > div > div {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #fff;
}

.search > div > div > h2 {
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}

.search > div > div > p {
  margin: 0;
  padding: 0;
}

.searchUpperHeading {
  margin: auto;
  text-align: center;
  background-color: #85c988;
  color: white;
  width: 90%;
  padding: 100px 0 100px 0;
  margin-top: 40px;
  border-radius: 20px;
  margin-bottom: 60px;
  font-size: 70px;
}

.searchWrapper {
  width: 90%;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  padding-bottom: 20px;
}

.searchWrapper > div:nth-child(1) {
  flex-grow: 100;
}

.searchWrapper > div:nth-child(2) {
  flex-grow: 10;
}

.searchRecommendedPanel {
  /* display: flex; */
  /* flex-wrap: wrap; */
  justify-content: space-evenly;
  display: grid;
  grid-template-columns: auto auto;
}

.searchRecommendedPanel > div {
  padding: 15px;
}

.searchResult.previouslyVisited {
  display: grid;
  grid-template-columns: 40px auto;
}

.searchResult {
  /* display: block; */
  padding: 5px 0px 5px 0px;
  /* cursor: pointer; */
}

.searchResult td {
  padding-right: 15px;
  padding-left: 15px;
  padding-top: 5px;
  padding-bottom: 5px;
}

/* .searchResult:hover {
  background-color: #e6e6e6;
} */

#searchResults {
  border-collapse: collapse;
  margin: auto;
}

.x-shape {
  width: 4px;
  height: 16px;
  display: inline-block;
  background-color: red;
  position: relative;
  border-radius: 2px;
  transform-origin: center bottom;
}

.x-shape::before {
  content: '';
  width:16px;
  height: 4px;
  display: block;
  background-color: red;
  transform: translateX(-6px) translateY(6px);
  border-radius: 2px;
}

.x-shape-wrapper {
  position:relative;
  width: 32px;
  opacity: 0.5;
}

.x-shape-wrapper:hover {
  opacity: 1;
}

.x-shape-wrapper > div {
  display: flex;
  justify-content: center;
}

/* tr:hover td:not(.x-shape-wrapper) {
  text-shadow: 0px 0px 0.8px black;
} */

/* .x-shape-wrapper:hover .x-shape {
  box-shadow: 0px 0px 10px rgba(164, 56, 56, 0.3);
} */

/* .searchResultText {
  display: flex;
  gap: 15px;
}

.dogClicks {
  min-width: 15px;
} */
#likedDogs .searchResult {
  display: block;
}

.searchDogName div:nth-child(1) {
  font-size: 18px;
}

.searchRecommendedPanel > div {
  display: grid;
  grid-template-columns: 30px auto;
  gap: 15px;
}

#searchFieldDog {
  height: 36px;
  padding: 8px 10px;
  display: block;
  border: 1px solid #ccc;
  border-radius: 8px;
  box-sizing: border-box;
  margin: auto;
  width: 100%;
  margin: auto;
  text-align: center;
}

.searchFieldContainer {
  min-width: 300px;
  width: 70%;
  margin: auto;
  /* display: grid;
  grid-template-columns: 30px auto;
  gap: 15px; */
}

@media only screen and (max-width: 1750px) {
  /* .searchRecommendedPanel > div {
    width: 340px;;
  } */
}

.searchFieldTitle {
  display: grid;
  grid-template-columns: auto auto;
  width: fit-content;
  margin: auto;
  padding-bottom: 15px;
}

.searchFieldResultContainer {
  /* display: grid;
  grid-template-columns: 30px auto 30px;
  gap: 5px; */
  width: var(--search-width);
  margin:auto;
  min-height: 55px;
  padding-bottom: 30px;
}

.triangle {
  --self-width: 10px;
  width: 0; 
  height: 0; 
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* display: none; */
}

.triangle-right {
  border-top: var(--self-width) solid transparent;
  border-bottom: var(--self-width) solid transparent;
  border-left: var(--self-width) solid #85c988;
}

.triangle-left {
  border-top: var(--self-width) solid transparent;
  border-bottom: var(--self-width) solid transparent;
  border-right: var(--self-width) solid #85c988;
}

.dn {
  display: none;
}

#likedDogs, #previouslyVisited, .searchFieldResultContainer {
  margin-top: 20px;
}

.triangleContainer {
  width: 100%;
  height: 150%;
}

.triangleContainer:hover {
  background-color: #ecffed;
}

.x-shape-wrapper:before {
  content: 'Přidat k hromadnému výběru';
  visibility: hidden;
  opacity: 0;
  width: 140px;
  background-color: black;
  color: #fff;
  text-align: center;
  border-radius: 5px;
  padding: 5px 0;
  transition: opacity 0.5s ease-in-out;
  font-size:12px;
  position: absolute;
  z-index: 1;
  left: 100%;
  top: 0px;
}

.x-shape-wrapper:hover:before {
  opacity: 1;
  visibility: visible;
}

.arrowsContainer {
  display:grid;
  grid-template-columns: auto auto;
  max-width: var(--search-width);
  margin:auto;
  padding-top: 15px;
}

.searchFieldDog {
  max-width: var(--search-width);
  margin: auto;
}

.searchResult:nth-child(2n) {
  background-color: #fbfbfb;
}

.searchResult td:nth-child(1) {
  width: 60px;
}

.searchResult td:nth-child(2) {
  width: 100%;
}

.searchResult td:nth-child(2) {
  cursor: pointer;
}

.searchResult td:nth-child(3) {
  display: none;
}


@media only screen and (max-width: 600px) {
  .searchUpperHeading {
    font-size: 36px;
    padding: 50px 0 50px 0;
    margin-top: 30px;
    margin-bottom: 40px;
    display: none;
  }

  .searchRecommendedPanel {
    grid-template-columns: auto;
  }

  :root {
    --search-width: auto;
  }

  .searchResult.previouslyVisited {
    grid-template-columns: auto;
  }
  .searchResult.previouslyVisited > div:nth-child(1) {
    display: none;
  }

  .searchWrapper {
    margin-top: 30px;
  }

  .searchFieldContainer {
    width: 90%;
    min-width: unset;
  }

  .searchDogName div:nth-child(1) {
    font-size: 16px;
  }

  .searchDogName div:nth-child(2) {
    font-size: 13px;
  }
}